package com.yizhi.training.application.service;

import java.util.List;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.training.application.domain.TpComment;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.training.application.vo.manage.PageCommentVo;

/**
 * <p>
 * 培训项目 - 评论 服务类
 * </p>
 *
 * @author shengchenglong
 * @since 2018-03-27
 */
public interface ITpCommentService extends IService<TpComment> {

    Page<PageCommentVo> getCommentPage(Long trainingProjectId,Long accountId, int pageNo, int pageSize,int type);
    
    List<PageCommentVo> getList(Long trainingProjectId,Long accountId);
}
